import { ValidatorFn, AsyncValidatorFn } from "@angular/forms";
import { AbstractControl, FormControl, FormGroup, FormArray } from "./model";
export declare class FormBuilder {
    private _delegate;
    static create(): FormBuilder;
    constructor();
    group<T>(value: T): FormGroup<T>;
    group<S>(controlsConfig: {
        [key: string]: any;
    }, extra?: {
        [key: string]: any;
    }): FormGroup<S>;
    control<T>(value: T, validator?: ValidatorFn | ValidatorFn[] | null, asyncValidator?: AsyncValidatorFn | AsyncValidatorFn[] | null): FormControl<T>;
    array<T>(controls: AbstractControl<T>[], validator?: ValidatorFn | null, asyncValidator?: AsyncValidatorFn | null): FormArray<T>;
    array<S>(controlsConfig: any[], validator?: ValidatorFn | null, asyncValidator?: AsyncValidatorFn | null): FormArray<S>;
}
